<?php
if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

?>
<article class="post-wrapper">
    <?php
    if($settings['link_wrapper']) {
        echo '<a class="item-link rivax-position-cover" aria-label="Item Link" href="' . get_permalink() . '"></a>';
    }

    if($settings['icon']['value']) {
        echo '<span class="icon">';
        \Elementor\Icons_Manager::render_icon( $settings['icon'] );
        echo '</span>';
    }
    ?>
    <div class="content-wrapper">
        <?php $this->render_title(); ?>
        <div class="meta-wrapper">
            <?php $this->render_author(); ?>
            <?php $this->render_date(); ?>
            <?php $this->render_comments(); ?>
            <?php $this->render_views_count(); ?>
            <?php $this->render_reading_time(); ?>
        </div>
    </div>
</article>